Summary: Tracks and displays system calls associated with a running process.
Name: strace
Version: 4.2
Release: 1mdk
Copyright: distributable
Group: Development/Kernel

Source: http://www.wi.leidenuniv.nl/~wichert/strace/strace-%{version}.tar.bz2
Patch0: strace-4.2-stat64.patch.bz2

BuildRoot: %{_tmppath}/%{name}-root

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep

%setup -q
%patch0 -p1

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/strace

find $RPM_BUILD_ROOT/ -type 'f' -name '*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
	file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README README-linux CREDITS ChangeLog INSTALL NEWS PORTING TODO README-CVS
/usr/bin/strace
/usr/man/man1/strace.1.bz2

%changelog
* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 4.2-1mdk
- version 4.2 (fixes Y2K bug, adds 64-bit LFS and S/390 support)
- added documentation to package

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.1-4mdk
- Fixed group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 4.1-3mdk
- Removed redundent arch define
- PPC fixes
- PPC build

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1-2mdk
- Use %configure_

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.1.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Commented out KERN_SECURELVL from system.c (this is not in sysctl.h in 
  2.2.13 kernel)
- Build Release

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 4.00.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 3.99.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
